Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class SourceFileAttribute

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.Attribute
org.apache.commons.compress.harmony.unpack200.bytecode.SourceFileAttribute

public class SourceFileAttribute extends Attribute
Source file class file attribute

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceFileAttribute(CPUTF8 name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `protected int`
  `getLength()`
  Gets the length.
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  Returns an empty array.
  `int`
  `hashCode()`
  `boolean`
  `isSourceFileAttribute()`
  Answer true if the receiver is a source file attribute (which gets special handling when the class is built); otherwise answer false.
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `static void`
  `setAttributeName(CPUTF8 cpUTF8Value)`
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`
  Writes this body to the given output stream.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.Attribute

  `doWrite, getAttributeName, getLengthIncludingHeader, hasBCIRenumbering`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SourceFileAttribute

    public SourceFileAttribute(CPUTF8 name)

- ## Method Details

  - ### setAttributeName

    public static void setAttributeName(CPUTF8 cpUTF8Value)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Attribute`

  - ### getLength

    protected int getLength()
    Description copied from class: `Attribute`
    Gets the length.
    Specified by:
      `getLength` in class `Attribute`
    Returns:
      the length.

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Description copied from class: `ClassFileEntry`
    Returns an empty array.
    Overrides:
      `getNestedClassFileEntries` in class `Attribute`
    Returns:
      an empty array.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Attribute`

  - ### isSourceFileAttribute

    public boolean isSourceFileAttribute()
    Description copied from class: `Attribute`
    Answer true if the receiver is a source file attribute (which gets special handling when the class is built); otherwise answer false.
    Overrides:
      `isSourceFileAttribute` in class `Attribute`
    Returns:
      boolean source file attribute

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Description copied from class: `ClassFileEntry`
    Allows the constant pool entries to resolve their nested entries.
    Overrides:
      `resolve` in class `Attribute`
    Parameters:
      `pool` - The class constant pool.

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Description copied from class: `Attribute`
    Writes this body to the given output stream.
    Specified by:
      `writeBody` in class `Attribute`
    Parameters:
      `dos` - the output stream.
    Throws:
      `IOException` - if an I/O error occurs.